#ifdef DRXK_DVBT_TAPS_SELECT

#define DRXK_DVBT_TAPS_RE dvbt_taps
#define DRXK_DVBT_TAPS_IM dvbt_taps

static const u8_t dvbt_taps[]= {
   DRXK_16TO8(  -10 ),  /* re0  */
   DRXK_16TO8(    0 ),  /* re1  */
   DRXK_16TO8(    8 ),  /* re2  */
   DRXK_16TO8(    7 ),  /* re3  */
   DRXK_16TO8(   -4 ),  /* re4  */
   DRXK_16TO8(  -11 ),  /* re5  */
   DRXK_16TO8(    0 ),  /* re6  */
   DRXK_16TO8(   16 ),  /* re7  */
   DRXK_16TO8(   12 ),  /* re8  */
   DRXK_16TO8(  -13 ),  /* re9  */
   DRXK_16TO8(  -22 ),  /* re10 */
   DRXK_16TO8(    3 ),  /* re11 */
   DRXK_16TO8(   31 ),  /* re12 */
   DRXK_16TO8(   17 ),  /* re13 */
   DRXK_16TO8(  -29 ),  /* re14 */
   DRXK_16TO8(  -39 ),  /* re15 */
   DRXK_16TO8(   13 ),  /* re16 */
   DRXK_16TO8(   59 ),  /* re17 */
   DRXK_16TO8(   21 ),  /* re18 */
   DRXK_16TO8(  -63 ),  /* re19 */
   DRXK_16TO8(  -68 ),  /* re20 */
   DRXK_16TO8(   42 ),  /* re21 */
   DRXK_16TO8(  124 ),  /* re22 */
   DRXK_16TO8(   24 ),  /* re23 */
   DRXK_16TO8( -175 ),  /* re24 */
   DRXK_16TO8( -172 ),  /* re25 */
   DRXK_16TO8(  212 ),  /* re26 */
   DRXK_16TO8(  762 )   /* re27 */
};

#endif /* #ifdef DRXK_DVBT_TAPS_SELECT */

#ifdef DRXK_QAM_TAPS_SELECT

#define DRXK_QAMA_TAPS_RE qama_taps
#define DRXK_QAMA_TAPS_IM qama_taps

static const u8_t qama_taps[]= {
   DRXK_16TO8(  -1 ),  /* re0  */
   DRXK_16TO8(   1 ),  /* re1  */
   DRXK_16TO8(   1 ),  /* re2  */
   DRXK_16TO8(  -1 ),  /* re3  */
   DRXK_16TO8(  -1 ),  /* re4  */
   DRXK_16TO8(   2 ),  /* re5  */
   DRXK_16TO8(   1 ),  /* re6  */
   DRXK_16TO8(  -2 ),  /* re7  */
   DRXK_16TO8(   0 ),  /* re8  */
   DRXK_16TO8(   3 ),  /* re9  */
   DRXK_16TO8(  -1 ),  /* re10 */
   DRXK_16TO8(  -3 ),  /* re11 */
   DRXK_16TO8(   4 ),  /* re12 */
   DRXK_16TO8(   1 ),  /* re13 */
   DRXK_16TO8(  -8 ),  /* re14 */
   DRXK_16TO8(   4 ),  /* re15 */
   DRXK_16TO8(  13 ),  /* re16 */
   DRXK_16TO8( -13 ),  /* re17 */
   DRXK_16TO8( -19 ),  /* re18 */
   DRXK_16TO8(  28 ),  /* re19 */
   DRXK_16TO8(  25 ),  /* re20 */
   DRXK_16TO8( -53 ),  /* re21 */
   DRXK_16TO8( -31 ),  /* re22 */
   DRXK_16TO8(  96 ),  /* re23 */
   DRXK_16TO8(  37 ),  /* re24 */
   DRXK_16TO8(-190 ),  /* re25 */
   DRXK_16TO8( -40 ),  /* re26 */
   DRXK_16TO8( 619 )   /* re27 */
};

#define DRXK_QAMC_TAPS_RE qamc_taps
#define DRXK_QAMC_TAPS_IM qamc_taps

static const u8_t qamc_taps[]= {
   DRXK_16TO8(  -3 ),  /* re0  */
   DRXK_16TO8(   3 ),  /* re1  */
   DRXK_16TO8(   2 ),  /* re2  */
   DRXK_16TO8(  -4 ),  /* re3  */
   DRXK_16TO8(   0 ),  /* re4  */
   DRXK_16TO8(   4 ),  /* re5  */
   DRXK_16TO8(  -1 ),  /* re6  */
   DRXK_16TO8(  -4 ),  /* re7  */
   DRXK_16TO8(   3 ),  /* re8  */
   DRXK_16TO8(   3 ),  /* re9  */
   DRXK_16TO8(  -5 ),  /* re10 */
   DRXK_16TO8(   0 ),  /* re11 */
   DRXK_16TO8(   9 ),  /* re12 */
   DRXK_16TO8(  -4 ),  /* re13 */
   DRXK_16TO8( -12 ),  /* re14 */
   DRXK_16TO8(  10 ),  /* re15 */
   DRXK_16TO8(  16 ),  /* re16 */
   DRXK_16TO8( -21 ),  /* re17 */
   DRXK_16TO8( -20 ),  /* re18 */
   DRXK_16TO8(  37 ),  /* re19 */
   DRXK_16TO8(  25 ),  /* re20 */
   DRXK_16TO8( -62 ),  /* re21 */
   DRXK_16TO8( -28 ),  /* re22 */
   DRXK_16TO8( 105 ),  /* re23 */
   DRXK_16TO8(  31 ),  /* re24 */
   DRXK_16TO8(-197 ),  /* re25 */
   DRXK_16TO8( -33 ),  /* re26 */
   DRXK_16TO8( 626 )   /* re27 */
};

#endif /* #ifdef DRXK_QAM_TAPS_SELECT */


#ifdef DRXK_ATV_NTSC_TAPS_SELECT

#define DRXK_ATV_NTSC_TAPS_RE ntsc_taps_re
#define DRXK_ATV_NTSC_TAPS_IM ntsc_taps_im

static const u8_t ntsc_taps_re[]= {
   DRXK_16TO8(  -16 ),  /* re0  */
   DRXK_16TO8(   -1 ),  /* re1  */
   DRXK_16TO8(   22 ),  /* re2  */
   DRXK_16TO8(    7 ),  /* re3  */
   DRXK_16TO8(  -24 ),  /* re4  */
   DRXK_16TO8(  -13 ),  /* re5  */
   DRXK_16TO8(   26 ),  /* re6  */
   DRXK_16TO8(   20 ),  /* re7  */
   DRXK_16TO8(  -26 ),  /* re8  */
   DRXK_16TO8(  -30 ),  /* re9  */
   DRXK_16TO8(   22 ),  /* re10 */
   DRXK_16TO8(   41 ),  /* re11 */
   DRXK_16TO8(  -11 ),  /* re12 */
   DRXK_16TO8(  -43 ),  /* re13 */
   DRXK_16TO8(    0 ),  /* re14 */
   DRXK_16TO8(   38 ),  /* re15 */
   DRXK_16TO8(    3 ),  /* re16 */
   DRXK_16TO8(  -34 ),  /* re17 */
   DRXK_16TO8(   -3 ),  /* re18 */
   DRXK_16TO8(   25 ),  /* re19 */
   DRXK_16TO8(  -19 ),  /* re20 */
   DRXK_16TO8(  -39 ),  /* re21 */
   DRXK_16TO8(   43 ),  /* re22 */
   DRXK_16TO8(   79 ),  /* re23 */
   DRXK_16TO8(  -74 ),  /* re24 */
   DRXK_16TO8( -193 ),  /* re25 */
   DRXK_16TO8(   96 ),  /* re26 */
   DRXK_16TO8(  701 )   /* re27 */
};

static const u8_t ntsc_taps_im[]= {
   DRXK_16TO8(   12 ),  /* im0  */
   DRXK_16TO8(   -5 ),  /* im1  */
   DRXK_16TO8(  -12 ),  /* im2  */
   DRXK_16TO8(    7 ),  /* im3  */
   DRXK_16TO8(   17 ),  /* im4  */
   DRXK_16TO8(    5 ),  /* im5  */
   DRXK_16TO8(    6 ),  /* im6  */
   DRXK_16TO8(   19 ),  /* im7  */
   DRXK_16TO8(    7 ),  /* im8  */
   DRXK_16TO8(  -13 ),  /* im9  */
   DRXK_16TO8(   17 ),  /* im10 */
   DRXK_16TO8(   69 ),  /* im11 */
   DRXK_16TO8(   44 ),  /* im12 */
   DRXK_16TO8(  -37 ),  /* im13 */
   DRXK_16TO8(  -24 ),  /* im14 */
   DRXK_16TO8(  103 ),  /* im15 */
   DRXK_16TO8(  149 ),  /* im16 */
   DRXK_16TO8(   14 ),  /* im17 */
   DRXK_16TO8(  -93 ),  /* im18 */
   DRXK_16TO8(   37 ),  /* im19 */
   DRXK_16TO8(  243 ),  /* im20 */
   DRXK_16TO8(  209 ),  /* im21 */
   DRXK_16TO8(  -26 ),  /* im22 */
   DRXK_16TO8(  -84 ),  /* im23 */
   DRXK_16TO8(  199 ),  /* im24 */
   DRXK_16TO8(  540 ),  /* im25 */
   DRXK_16TO8(  600 ),  /* im26 */
   DRXK_16TO8(  362 )   /* im27 */
};

#endif /* DRXK_ATV_NTSC_TAPS_SELECT */


#ifdef DRXK_ATV_BG_TAPS_SELECT

#define DRXK_ATV_BG_TAPS_RE bg_taps_re
#define DRXK_ATV_BG_TAPS_IM bg_taps_im

static const u8_t bg_taps_re[]= {
   DRXK_16TO8(   -3 ),  /* re0  */
   DRXK_16TO8(    0 ),  /* re1  */
   DRXK_16TO8(   10 ),  /* re2  */
   DRXK_16TO8(   16 ),  /* re3  */
   DRXK_16TO8(  -15 ),  /* re4  */
   DRXK_16TO8(  -15 ),  /* re5  */
   DRXK_16TO8(   30 ),  /* re6  */
   DRXK_16TO8(   15 ),  /* re7  */
   DRXK_16TO8(  -34 ),  /* re8  */
   DRXK_16TO8(  -10 ),  /* re9  */
   DRXK_16TO8(   24 ),  /* re10 */
   DRXK_16TO8(    6 ),  /* re11 */
   DRXK_16TO8(  -11 ),  /* re12 */
   DRXK_16TO8(  -30 ),  /* re13 */
   DRXK_16TO8(  -17 ),  /* re14 */
   DRXK_16TO8(   65 ),  /* re15 */
   DRXK_16TO8(   22 ),  /* re16 */
   DRXK_16TO8( -133 ),  /* re17 */
   DRXK_16TO8(  -11 ),  /* re18 */
   DRXK_16TO8(  201 ),  /* re19 */
   DRXK_16TO8(  -39 ),  /* re20 */
   DRXK_16TO8( -268 ),  /* re21 */
   DRXK_16TO8(  112 ),  /* re22 */
   DRXK_16TO8(  320 ),  /* re23 */
   DRXK_16TO8( -191 ),  /* re24 */
   DRXK_16TO8( -389 ),  /* re25 */
   DRXK_16TO8(  258 ),  /* re26 */
   DRXK_16TO8(  873 )   /* re27 */
};

static const u8_t bg_taps_im[]= {
   DRXK_16TO8(   15 ),  /* im0  */
   DRXK_16TO8(   12 ),  /* im1  */
   DRXK_16TO8(  -22 ),  /* im2  */
   DRXK_16TO8(  -19 ),  /* im3  */
   DRXK_16TO8(   10 ),  /* im4  */
   DRXK_16TO8(   -2 ),  /* im5  */
   DRXK_16TO8(  -23 ),  /* im6  */
   DRXK_16TO8(  -25 ),  /* im7  */
   DRXK_16TO8(  -25 ),  /* im8  */
   DRXK_16TO8(   -6 ),  /* im9  */
   DRXK_16TO8(   -6 ),  /* im10 */
   DRXK_16TO8(  -67 ),  /* im11 */
   DRXK_16TO8(  -57 ),  /* im12 */
   DRXK_16TO8(   36 ),  /* im13 */
   DRXK_16TO8(  -12 ),  /* im14 */
   DRXK_16TO8( -118 ),  /* im15 */
   DRXK_16TO8(  -12 ),  /* im16 */
   DRXK_16TO8(   81 ),  /* im17 */
   DRXK_16TO8(  -50 ),  /* im18 */
   DRXK_16TO8(  -63 ),  /* im19 */
   DRXK_16TO8(   90 ),  /* im20 */
   DRXK_16TO8(   57 ),  /* im21 */
   DRXK_16TO8(   25 ),  /* im22 */
   DRXK_16TO8(  172 ),  /* im23 */
   DRXK_16TO8(  111 ),  /* im24 */
   DRXK_16TO8(  103 ),  /* im25 */
   DRXK_16TO8(  710 ),  /* im26 */
   DRXK_16TO8(  994 )   /* im27 */
};

#endif /* DRXK_ATV_BG_TAPS_SELECT */


#ifdef DRXK_ATV_DK_I_L_LP_TAPS_SELECT

#define DRXK_ATV_DK_I_L_LP_TAPS_RE dk_i_l_lp_taps_re
#define DRXK_ATV_DK_I_L_LP_TAPS_IM dk_i_l_lp_taps_im

static const u8_t dk_i_l_lp_taps_re[]= {
   DRXK_16TO8(  -23 ),  /* re0  */
   DRXK_16TO8(    9 ),  /* re1  */
   DRXK_16TO8(   16 ),  /* re2  */
   DRXK_16TO8(  -26 ),  /* re3  */
   DRXK_16TO8(   -3 ),  /* re4  */
   DRXK_16TO8(   13 ),  /* re5  */
   DRXK_16TO8(  -19 ),  /* re6  */
   DRXK_16TO8(   -3 ),  /* re7  */
   DRXK_16TO8(   13 ),  /* re8  */
   DRXK_16TO8(  -26 ),  /* re9  */
   DRXK_16TO8(   -4 ),  /* re10 */
   DRXK_16TO8(   28 ),  /* re11 */
   DRXK_16TO8(  -15 ),  /* re12 */
   DRXK_16TO8(  -14 ),  /* re13 */
   DRXK_16TO8(   10 ),  /* re14 */
   DRXK_16TO8(    1 ),  /* re15 */
   DRXK_16TO8(   39 ),  /* re16 */
   DRXK_16TO8(  -18 ),  /* re17 */
   DRXK_16TO8(  -90 ),  /* re18 */
   DRXK_16TO8(  109 ),  /* re19 */
   DRXK_16TO8(  113 ),  /* re20 */
   DRXK_16TO8( -235 ),  /* re21 */
   DRXK_16TO8(  -49 ),  /* re22 */
   DRXK_16TO8(  359 ),  /* re23 */
   DRXK_16TO8(  -79 ),  /* re24 */
   DRXK_16TO8( -459 ),  /* re25 */
   DRXK_16TO8(  206 ),  /* re26 */
   DRXK_16TO8(  894 )   /* re27 */
};

static const u8_t dk_i_l_lp_taps_im[]= {
   DRXK_16TO8(   -8 ),  /* im0  */
   DRXK_16TO8(  -20 ),  /* im1  */
   DRXK_16TO8(   17 ),  /* im2  */
   DRXK_16TO8(  -14 ),  /* im3  */
   DRXK_16TO8(  -52 ),  /* im4  */
   DRXK_16TO8(    4 ),  /* im5  */
   DRXK_16TO8(    9 ),  /* im6  */
   DRXK_16TO8(  -62 ),  /* im7  */
   DRXK_16TO8(  -47 ),  /* im8  */
   DRXK_16TO8(    0 ),  /* im9  */
   DRXK_16TO8(  -20 ),  /* im10 */
   DRXK_16TO8(  -48 ),  /* im11 */
   DRXK_16TO8(  -65 ),  /* im12 */
   DRXK_16TO8(  -23 ),  /* im13 */
   DRXK_16TO8(   44 ),  /* im14 */
   DRXK_16TO8(  -60 ),  /* im15 */
   DRXK_16TO8( -113 ),  /* im16 */
   DRXK_16TO8(   92 ),  /* im17 */
   DRXK_16TO8(   81 ),  /* im18 */
   DRXK_16TO8( -125 ),  /* im19 */
   DRXK_16TO8(   28 ),  /* im20 */
   DRXK_16TO8(  182 ),  /* im21 */
   DRXK_16TO8(   35 ),  /* im22 */
   DRXK_16TO8(   94 ),  /* im23 */
   DRXK_16TO8(  180 ),  /* im24 */
   DRXK_16TO8(  134 ),  /* im25 */
   DRXK_16TO8(  657 ),  /* im26 */
   DRXK_16TO8( 1023 )   /* im27 */
};

#endif /* DRXK_ATV_DK_I_L_LP_TAPS_SELECTED */


#ifdef DRXK_ATV_DK_CN_TAPS_SELECTED

#define DRXK_ATV_DK_CN_TAPS_RE dk_cn_taps_re
#define DRXK_ATV_DK_CN_TAPS_IM dk_cn_taps_im

static const u8_t dk_cn_taps_re[]= {
   DRXK_16TO8(   10 ),  /* re0  */
   DRXK_16TO8(    0 ),  /* re1  */
   DRXK_16TO8(  -22 ),  /* re2  */
   DRXK_16TO8(   33 ),  /* re3  */
   DRXK_16TO8(    0 ),  /* re4  */
   DRXK_16TO8(  -32 ),  /* re5  */
   DRXK_16TO8(   21 ),  /* re6  */
   DRXK_16TO8(   16 ),  /* re7  */
   DRXK_16TO8(  -21 ),  /* re8  */
   DRXK_16TO8(   -2 ),  /* re9  */
   DRXK_16TO8(   -2 ),  /* re10 */
   DRXK_16TO8(   17 ),  /* re11 */
   DRXK_16TO8(    0 ),  /* re12 */
   DRXK_16TO8(  -38 ),  /* re13 */
   DRXK_16TO8(   27 ),  /* re14 */
   DRXK_16TO8(   15 ),  /* re15 */
   DRXK_16TO8(  -36 ),  /* re16 */
   DRXK_16TO8(   37 ),  /* re17 */
   DRXK_16TO8(  -38 ),  /* re18 */
   DRXK_16TO8(  -30 ),  /* re19 */
   DRXK_16TO8(  149 ),  /* re20 */
   DRXK_16TO8( -102 ),  /* re21 */
   DRXK_16TO8( -181 ),  /* re22 */
   DRXK_16TO8(  310 ),  /* re23 */
   DRXK_16TO8(   61 ),  /* re24 */
   DRXK_16TO8( -480 ),  /* re25 */
   DRXK_16TO8(  134 ),  /* re26 */
   DRXK_16TO8(  900 )   /* re27 */
};

static const u8_t dk_cn_taps_im[]= {
   DRXK_16TO8(  -18 ),  /* im0  */
   DRXK_16TO8(   17 ),  /* im1  */
   DRXK_16TO8(  -24 ),  /* im2  */
   DRXK_16TO8(  -17 ),  /* im3  */
   DRXK_16TO8(    7 ),  /* im4  */
   DRXK_16TO8(  -36 ),  /* im5  */
   DRXK_16TO8(  -24 ),  /* im6  */
   DRXK_16TO8(    7 ),  /* im7  */
   DRXK_16TO8(  -44 ),  /* im8  */
   DRXK_16TO8(  -48 ),  /* im9  */
   DRXK_16TO8(    2 ),  /* im10 */
   DRXK_16TO8(  -22 ),  /* im11 */
   DRXK_16TO8(  -51 ),  /* im12 */
   DRXK_16TO8(  -56 ),  /* im13 */
   DRXK_16TO8(    9 ),  /* im14 */
   DRXK_16TO8(   34 ),  /* im15 */
   DRXK_16TO8( -120 ),  /* im16 */
   DRXK_16TO8(  -39 ),  /* im17 */
   DRXK_16TO8(  171 ),  /* im18 */
   DRXK_16TO8(  -59 ),  /* im19 */
   DRXK_16TO8( -119 ),  /* im20 */
   DRXK_16TO8(  207 ),  /* im21 */
   DRXK_16TO8(  114 ),  /* im22 */
   DRXK_16TO8(   -2 ),  /* im23 */
   DRXK_16TO8(  179 ),  /* im24 */
   DRXK_16TO8(  170 ),  /* im25 */
   DRXK_16TO8(  587 ),  /* im26 */
   DRXK_16TO8( 1018 )   /* im27 */
};

#endif /* DRXK_ATV_DK_CN_TAPS_SELECTED */


#ifdef DRXK_ATV_FM_TAPS_SELECT

#define DRXK_ATV_FM_TAPS_RE fm_taps_re
#define DRXK_ATV_FM_TAPS_IM fm_taps_im

static const u8_t fm_taps_re[]= {
   DRXK_16TO8( 0 ),  /* re0  */
   DRXK_16TO8( 0 ),  /* re1  */
   DRXK_16TO8( 0 ),  /* re2  */
   DRXK_16TO8( 0 ),  /* re3  */
   DRXK_16TO8( 0 ),  /* re4  */
   DRXK_16TO8( 0 ),  /* re5  */
   DRXK_16TO8( 0 ),  /* re6  */
   DRXK_16TO8( 0 ),  /* re7  */
   DRXK_16TO8( 0 ),  /* re8  */
   DRXK_16TO8( 0 ),  /* re9  */
   DRXK_16TO8( 0 ),  /* re10 */
   DRXK_16TO8( 0 ),  /* re11 */
   DRXK_16TO8( 0 ),  /* re12 */
   DRXK_16TO8( 0 ),  /* re13 */
   DRXK_16TO8( 0 ),  /* re14 */
   DRXK_16TO8( 0 ),  /* re15 */
   DRXK_16TO8( 0 ),  /* re16 */
   DRXK_16TO8( 0 ),  /* re17 */
   DRXK_16TO8( 0 ),  /* re18 */
   DRXK_16TO8( 0 ),  /* re19 */
   DRXK_16TO8( 0 ),  /* re20 */
   DRXK_16TO8( 0 ),  /* re21 */
   DRXK_16TO8( 0 ),  /* re22 */
   DRXK_16TO8( 0 ),  /* re23 */
   DRXK_16TO8( 0 ),  /* re24 */
   DRXK_16TO8( 0 ),  /* re25 */
   DRXK_16TO8( 0 ),  /* re26 */
   DRXK_16TO8( 0 )   /* re27 */
};

static const u8_t fm_taps_im[]= {
   DRXK_16TO8(   -6 ),  /* im0  */
   DRXK_16TO8(    2 ),  /* im1  */
   DRXK_16TO8(   14 ),  /* im2  */
   DRXK_16TO8(  -38 ),  /* im3  */
   DRXK_16TO8(   58 ),  /* im4  */
   DRXK_16TO8(  -62 ),  /* im5  */
   DRXK_16TO8(   42 ),  /* im6  */
   DRXK_16TO8(    0 ),  /* im7  */
   DRXK_16TO8(  -45 ),  /* im8  */
   DRXK_16TO8(   73 ),  /* im9  */
   DRXK_16TO8(  -65 ),  /* im10 */
   DRXK_16TO8(   23 ),  /* im11 */
   DRXK_16TO8(   34 ),  /* im12 */
   DRXK_16TO8(  -77 ),  /* im13 */
   DRXK_16TO8(   80 ),  /* im14 */
   DRXK_16TO8(  -39 ),  /* im15 */
   DRXK_16TO8(  -25 ),  /* im16 */
   DRXK_16TO8(   78 ),  /* im17 */
   DRXK_16TO8(  -90 ),  /* im18 */
   DRXK_16TO8(   52 ),  /* im19 */
   DRXK_16TO8(   16 ),  /* im20 */
   DRXK_16TO8(  -77 ),  /* im21 */
   DRXK_16TO8(   97 ),  /* im22 */
   DRXK_16TO8(  -62 ),  /* im23 */
   DRXK_16TO8(   -8 ),  /* im24 */
   DRXK_16TO8(   75 ),  /* im25 */
   DRXK_16TO8( -100 ),  /* im26 */
   DRXK_16TO8(   70 )   /* im27 */
};

#endif /* DRXK_ATV_FM_TAPS_SELECT */